Loading...
Searching...
No Matches
proj1.c File Reference

GIS Library - Projection support (window related). More...

`#include <grass/gis.h>`
Include dependency graph for proj1.c:

Go to the source code of this file.

## Functions

int | G_projection (void)
| Query cartographic projection.

## Detailed Description

GIS Library - Projection support (window related).

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file proj1.c.

## Function Documentation

## G_projection()

int G_projection | ( | void |  | ) |

Query cartographic projection.

This routine returns a code indicating the projection for the active region. The current values are (see gis.h)

- PROJECTION_XY 0 - x,y (Raw imagery)
- PROJECTION_UTM 1 - UTM Universal Transverse Mercator
- PROJECTION_SP 2 - State Plane (in feet) - not used, removed
- PROJECTION_LL 3 - Latitude-Longitude
- PROJECTION_OTHER 99 - others

Others may be added in the future.

Returns
  projection code (see above)

Definition at line 32 of file proj1.c.

References G_get_set_window().

Referenced by G_begin_distance_calculations(), G_begin_polygon_area_calculations(), G_database_projection_name(), G_database_unit(), G_get_3dview(), G_get_projepsg(), G_get_projinfo(), G_get_projsrid(), G_get_projunits(), G_get_projwkt(), and G_shortest_way().